<?xml version="1.0" encoding="UTF-8" ?>
<testsuite tests="70" failures="0" name="org.apache.synapse.samples.framework.TestSamplesHandlerSuite" time="164.746" errors="0" skipped="0">
  <properties>
    <property name="java.runtime.name" value="Java(TM) SE Runtime Environment"/>
    <property name="sun.boot.library.path" value="/build/software/java/jdk1.8.0_144/jre/lib/amd64"/>
    <property name="java.vm.version" value="25.144-b01"/>
    <property name="java.vm.vendor" value="Oracle Corporation"/>
    <property name="java.vendor.url" value="http://java.oracle.com/"/>
    <property name="path.separator" value=":"/>
    <property name="guice.disable.misplaced.annotation.check" value="true"/>
    <property name="java.vm.name" value="Java HotSpot(TM) 64-Bit Server VM"/>
    <property name="file.encoding.pkg" value="sun.io"/>
    <property name="user.country" value="US"/>
    <property name="sun.java.launcher" value="SUN_STANDARD"/>
    <property name="sun.os.patch.level" value="unknown"/>
    <property name="java.vm.specification.name" value="Java Virtual Machine Specification"/>
    <property name="user.dir" value="/home/jenkins/workspace/forked-dependencies/wso2-synapse/target/checkout"/>
    <property name="java.runtime.version" value="1.8.0_144-b01"/>
    <property name="java.awt.graphicsenv" value="sun.awt.X11GraphicsEnvironment"/>
    <property name="java.endorsed.dirs" value="/build/software/java/jdk1.8.0_144/jre/lib/endorsed"/>
    <property name="os.arch" value="amd64"/>
    <property name="java.util.Arrays.useLegacyMergeSort" value="true"/>
    <property name="java.io.tmpdir" value="/tmp"/>
    <property name="line.separator" value="
"/>
    <property name="java.vm.specification.vendor" value="Oracle Corporation"/>
    <property name="os.name" value="Linux"/>
    <property name="classworlds.conf" value="/build/software/maven/apache-maven-3.0.5/bin/m2.conf"/>
    <property name="sun.jnu.encoding" value="ANSI_X3.4-1968"/>
    <property name="additionalparam" value="-Xdoclint:none"/>
    <property name="java.library.path" value="/usr/java/packages/lib/amd64:/usr/lib64:/lib64:/lib:/usr/lib"/>
    <property name="java.specification.name" value="Java Platform API Specification"/>
    <property name="java.class.version" value="52.0"/>
    <property name="sun.management.compiler" value="HotSpot 64-Bit Tiered Compilers"/>
    <property name="maven.repo.local" value="/home/jenkins/workspace/forked-dependencies/wso2-synapse/.repository"/>
    <property name="os.version" value="4.9.43-17.39.amzn1.x86_64"/>
    <property name="user.home" value="/root"/>
    <property name="user.timezone" value="Etc/UTC"/>
    <property name="java.awt.printerjob" value="sun.print.PSPrinterJob"/>
    <property name="java.specification.version" value="1.8"/>
    <property name="file.encoding" value="ANSI_X3.4-1968"/>
    <property name="user.name" value="root"/>
    <property name="java.class.path" value="/build/software/maven/apache-maven-3.0.5/boot/plexus-classworlds-2.4.jar"/>
    <property name="java.vm.specification.version" value="1.8"/>
    <property name="sun.arch.data.model" value="64"/>
    <property name="java.home" value="/build/software/java/jdk1.8.0_144/jre"/>
    <property name="sun.java.command" value="org.codehaus.plexus.classworlds.launcher.Launcher -B -D maven.repo.local=/home/jenkins/workspace/forked-dependencies/wso2-synapse/.repository -s /tmp/release-settings7132318153414467278.xml -D performRelease=true -D additionalparam=-Xdoclint:none -P wso2-release deploy"/>
    <property name="java.specification.vendor" value="Oracle Corporation"/>
    <property name="user.language" value="en"/>
    <property name="awt.toolkit" value="sun.awt.X11.XToolkit"/>
    <property name="java.vm.info" value="mixed mode"/>
    <property name="org.apache.maven.global-settings" value="/build/software/maven/settings/settings.xml"/>
    <property name="java.version" value="1.8.0_144"/>
    <property name="java.ext.dirs" value="/build/software/java/jdk1.8.0_144/jre/lib/ext:/usr/java/packages/lib/ext"/>
    <property name="securerandom.source" value="file:/dev/./urandom"/>
    <property name="sun.boot.class.path" value="/build/software/java/jdk1.8.0_144/jre/lib/resources.jar:/build/software/java/jdk1.8.0_144/jre/lib/rt.jar:/build/software/java/jdk1.8.0_144/jre/lib/sunrsasign.jar:/build/software/java/jdk1.8.0_144/jre/lib/jsse.jar:/build/software/java/jdk1.8.0_144/jre/lib/jce.jar:/build/software/java/jdk1.8.0_144/jre/lib/charsets.jar:/build/software/java/jdk1.8.0_144/jre/lib/jfr.jar:/build/software/java/jdk1.8.0_144/jre/classes"/>
    <property name="java.vendor" value="Oracle Corporation"/>
    <property name="maven.home" value="/build/software/maven/apache-maven-3.0.5"/>
    <property name="file.separator" value="/"/>
    <property name="java.vendor.url.bug" value="http://bugreport.sun.com/bugreport/"/>
    <property name="sun.cpu.endian" value="little"/>
    <property name="sun.io.unicode.encoding" value="UnicodeLittle"/>
    <property name="sun.font.fontmanager" value="sun.awt.X11FontManager"/>
    <property name="sun.cpu.isalist" value=""/>
    <property name="performRelease" value="true"/>
  </properties>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample0" name="testSynapseAsHTTPProxy" time="4.419"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample0" name="testSmartClientMode" time="1.062"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample1" name="testDumbClientMode" time="0.86"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample2" name="testCBR" time="0.677"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample3" name="testLocalEntriesReusableEndPointsSequences" time="0.975"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample4" name="testErrorHandling" time="0.989"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample5" name="testCreateFaultAndChangeDirection" time="0.48"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample6" name="testManipulatingHeadersAndFiltering" time="0.518"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample7" name="testLocalRegEntriesAndSchemaValidation" time="1.606"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample8" name="testRegistryAndXSLTMediator" time="1.345"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample9" name="testDynamicSequences" time="0.384"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample10" name="testDynamicEndPoints" time="0.505"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample11" name="testFullRegistryBasedConfig" time="0.226"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample12" name="testFireAndForget" time="5.306"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample13" name="testDualQuote" time="0.275"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample15" name="testMessageEnrichment" time="0.265"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample16" name="testDynamicStaticKeys" time="0.527"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.mediation.Sample17" name="testPayloadFactoryMediator" time="0.212"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample50" name="testRestToPox" time="0.296"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample51" name="testMTOMOptimization" time="0.472"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample51" name="testSWAOptimization" time="0.3"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample52" name="testSessionLessLB" time="3.666"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample53" name="testFailOver" time="7.591"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample54" name="testSessionFullLB" time="1.679"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample55" name="testSessionFullLBFailOver" time="5.271"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample56" name="testSmartClientMode" time="0.472"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample58" name="testStaticLB" time="4.741"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample59" name="testSessionLessLB" time="2.451"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.proxy.Sample150" name="testBasicProxy" time="0.22"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.proxy.Sample151" name="testCustomSequencesEndpointsWithProxy" time="0.333"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.proxy.Sample152" name="testTransportAndFormatSwitching" time="0.501"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.proxy.Sample154" name="testSessionFullLB" time="2.785"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.proxy.Sample157" name="testRoutingOnHttpHeader" time="0.347"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.proxy.Sample161" name="testRespondMediator" time="0.24"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.transport.Sample250" name="testPlaceOrder" time="6.027"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.transport.Sample251" name="testPlaceOrder" time="19.7"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample252" name="testPlaceOrderTypeText" time="9.862"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample252" name="testPlaceOrderTypePOX" time="9.83"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample253" name="testPlaceOrder" time="8.786"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample264" name="testTwoWayMessagesWithJMS" time="11.496"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.transport.Sample268" name="testLocalTransport" time="5.439"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.tasks.Sample300" name="testScheduledTask" time="10.394"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample350" name="testScriptMediationWithJS" time="0.609"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample351" name="testScriptMediationInLineJS" time="0.418"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample352" name="testAccessingAPIUsingScripting" time="0.19"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample353" name="testScriptMediationWithRuby" time="4.865"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample354" name="testScriptMediationWithInLineRuby" time="1.98"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample360" name="testDbLookup" time="6.072"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample361" name="testDbReport" time="2.873"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample362" name="testDbLookupReport" time="2.879"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.mediation.Sample363" name="testReusableConnectionPools" time="2.994"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample370" name="testThrottling" time="0.184"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample371" name="testRestrictedThrottling" time="0.251"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample372" name="testConcurrencyAndRateThrottling" time="0.107"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample380" name="testCustomMediator" time="0.114"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample390" name="testXQuery" time="0.539"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample391" name="testExternalXQuery" time="0.18"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample430" name="testCallOut" time="0.135"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample433" name="testCallOutDefinedEndpoint" time="0.132"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample434" name="testCallOutInlineEndpoint" time="0.155"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample450" name="testURLRewrite" time="0.12"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample451" name="testURLRewrite" time="0.188"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample452" name="testURLRewriteMultiple" time="0.143"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample470" name="testSpringBeanAsAMediator" time="0.916"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.mediation.Sample500" name="testCallMediator" time="0.292"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.template.Sample750" name="testXSLTTransformations" time="0.263"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.template.Sample751" name="testSplitAggregate" time="0.35"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample752" name="testLoadBalancingWithEndpointTemplates" time="2.133"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.rest.Sample800" name="testGetQuote" time="0.159"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.rest.Sample800" name="testPlaceOrder" time="1.112"/>
</testsuite>